import type { GetTotalLeaguesResult } from '@core/racing/application/use-cases/GetTotalLeaguesUseCase';
import { TotalLeaguesDTO } from '../dtos/TotalLeaguesDTO';

export class TotalLeaguesPresenter {
  private result: TotalLeaguesDTO | null = null;

  reset() {
    this.result = null;
  }

  present(output: GetTotalLeaguesResult) {
    this.result = {
      totalLeagues: output.totalLeagues,
    };
  }

  getResponseModel(): TotalLeaguesDTO | null {
    return this.result;
  }
}